Delete Last System Prompt
curl --request DELETE \
--url https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"active_version": 4,
"agent_type": "agentic_search",
"deleted_version": 5,
"message": "Última versão do system prompt deletada com sucesso.",
"previous_prompt_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"success": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}System Prompt
Delete Last System Prompt
Deleta apenas o último system prompt do histórico e reativa o anterior.
Este endpoint é útil quando você quer desfazer a última atualização de prompt sem perder todo o histórico.
Args: agent_type: Tipo do agente db: Sessão do banco de dados
Returns: SystemPromptDeleteResponse: Resposta contendo o resultado da operação
Raises: HTTPException 400: Se não houver prompts suficientes para deletar HTTPException 500: Se houver erro durante a operação
DELETE
/
api
/
v1
/
system-prompt
/
last
Delete Last System Prompt
curl --request DELETE \
--url https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"active_version": 4,
"agent_type": "agentic_search",
"deleted_version": 5,
"message": "Última versão do system prompt deletada com sucesso.",
"previous_prompt_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"success": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Response
Successful Response
Schema para resposta da deleção do último system prompt.
